OpenVDB: TreeAdapter< tree::ValueAccessor< _TreeType > > Struct Template Reference

OpenVDB 13.0.0

Loading...
Searching...
No Matches
TreeAdapter< tree::ValueAccessor< _TreeType > > Struct Template Reference

Partial specialization for ValueAccessor types. More...

`#include <openvdb/Grid.h>`

## Public Types
using | TreeType = _TreeType
using | NonConstTreeType = typename std::remove_const<TreeType>::type
using | TreePtrType = typename TreeType::Ptr
using | ConstTreePtrType = typename TreeType::ConstPtr
using | NonConstTreePtrType = typename NonConstTreeType::Ptr
using | GridType = Grid<NonConstTreeType>
using | NonConstGridType = Grid<NonConstTreeType>
using | GridPtrType = typename GridType::Ptr
using | NonConstGridPtrType = typename NonConstGridType::Ptr
using | ConstGridPtrType = typename GridType::ConstPtr
using | ValueType = typename TreeType::ValueType
using | AccessorType = typename tree::ValueAccessor<TreeType>
using | ConstAccessorType = typename tree::ValueAccessor<const NonConstTreeType>
using | NonConstAccessorType = typename tree::ValueAccessor<NonConstTreeType>

## Static Public Member Functions
static NonConstTreeType & | tree (NonConstTreeType &t)
static NonConstTreeType & | tree (NonConstGridType &g)
static NonConstTreeType & | tree (NonConstAccessorType &a)
static const NonConstTreeType & | tree (ConstAccessorType &a)
static const NonConstTreeType & | tree (const NonConstTreeType &t)
static const NonConstTreeType & | tree (const NonConstGridType &g)
static const NonConstTreeType & | tree (const NonConstAccessorType &a)
static const NonConstTreeType & | tree (const ConstAccessorType &a)
static const NonConstTreeType & | constTree (NonConstTreeType &t)
static const NonConstTreeType & | constTree (NonConstGridType &g)
static const NonConstTreeType & | constTree (NonConstAccessorType &a)
static const NonConstTreeType & | constTree (ConstAccessorType &a)
static const NonConstTreeType & | constTree (const NonConstTreeType &t)
static const NonConstTreeType & | constTree (const NonConstGridType &g)
static const NonConstTreeType & | constTree (const NonConstAccessorType &a)
static const NonConstTreeType & | constTree (const ConstAccessorType &a)

## Detailed Description

template<typename _TreeType>
struct openvdb::v13_0::TreeAdapter< tree::ValueAccessor< _TreeType > >

Partial specialization for ValueAccessor types.

## Member Typedef Documentation

## ◆ AccessorType

template<typename _TreeType>

using AccessorType = typename tree::ValueAccessor<TreeType>

## ◆ ConstAccessorType

template<typename _TreeType>

using ConstAccessorType = typename tree::ValueAccessor<const NonConstTreeType>

## ◆ ConstGridPtrType

template<typename _TreeType>

using ConstGridPtrType = typename GridType::ConstPtr

## ◆ ConstTreePtrType

template<typename _TreeType>

using ConstTreePtrType = typename TreeType::ConstPtr

## ◆ GridPtrType

template<typename _TreeType>

using GridPtrType = typename GridType::Ptr

## ◆ GridType

template<typename _TreeType>

using GridType = Grid<NonConstTreeType>

## ◆ NonConstAccessorType

template<typename _TreeType>

using NonConstAccessorType = typename tree::ValueAccessor<NonConstTreeType>

## ◆ NonConstGridPtrType

template<typename _TreeType>

using NonConstGridPtrType = typename NonConstGridType::Ptr

## ◆ NonConstGridType

template<typename _TreeType>

using NonConstGridType = Grid<NonConstTreeType>

## ◆ NonConstTreePtrType

template<typename _TreeType>

using NonConstTreePtrType = typename NonConstTreeType::Ptr

## ◆ NonConstTreeType

template<typename _TreeType>

using NonConstTreeType = typename std::remove_const<TreeType>::type

## ◆ TreePtrType

template<typename _TreeType>

using TreePtrType = typename TreeType::Ptr

## ◆ TreeType

template<typename _TreeType>

using TreeType = _TreeType

## ◆ ValueType

template<typename _TreeType>

using ValueType = typename TreeType::ValueType

## Member Function Documentation

## ◆ constTree() [1/8]

template<typename _TreeType>

const NonConstTreeType & constTree | ( | const ConstAccessorType & | a | ) |
| inlinestatic

## ◆ constTree() [2/8]

template<typename _TreeType>

const NonConstTreeType & constTree | ( | const NonConstAccessorType & | a | ) |
| inlinestatic

## ◆ constTree() [3/8]

template<typename _TreeType>

const NonConstTreeType & constTree | ( | const NonConstGridType & | g | ) |
| inlinestatic

## ◆ constTree() [4/8]

template<typename _TreeType>

const NonConstTreeType & constTree | ( | const NonConstTreeType & | t | ) |
| inlinestatic

## ◆ constTree() [5/8]

template<typename _TreeType>

const NonConstTreeType & constTree | ( | ConstAccessorType & | a | ) |
| inlinestatic

## ◆ constTree() [6/8]

template<typename _TreeType>

const NonConstTreeType & constTree | ( | NonConstAccessorType & | a | ) |
| inlinestatic

## ◆ constTree() [7/8]

template<typename _TreeType>

const NonConstTreeType & constTree | ( | NonConstGridType & | g | ) |
| inlinestatic

## ◆ constTree() [8/8]

template<typename _TreeType>

const NonConstTreeType & constTree | ( | NonConstTreeType & | t | ) |
| inlinestatic

## ◆ tree() [1/8]

template<typename _TreeType>

const NonConstTreeType & tree | ( | const ConstAccessorType & | a | ) |
| inlinestatic

## ◆ tree() [2/8]

template<typename _TreeType>

const NonConstTreeType & tree | ( | const NonConstAccessorType & | a | ) |
| inlinestatic

## ◆ tree() [3/8]

template<typename _TreeType>

const NonConstTreeType & tree | ( | const NonConstGridType & | g | ) |
| inlinestatic

## ◆ tree() [4/8]

template<typename _TreeType>

const NonConstTreeType & tree | ( | const NonConstTreeType & | t | ) |
| inlinestatic

## ◆ tree() [5/8]

template<typename _TreeType>

const NonConstTreeType & tree | ( | ConstAccessorType & | a | ) |
| inlinestatic

## ◆ tree() [6/8]

template<typename _TreeType>

NonConstTreeType & tree | ( | NonConstAccessorType & | a | ) |
| inlinestatic

## ◆ tree() [7/8]

template<typename _TreeType>

NonConstTreeType & tree | ( | NonConstGridType & | g | ) |
| inlinestatic

## ◆ tree() [8/8]

template<typename _TreeType>

NonConstTreeType & tree | ( | NonConstTreeType & | t | ) |
| inlinestatic